/*
 * CzDC - client for Direct Connect peer to peer network.

 * Copyright (C) 2002-2011 Petr Kozelka, PPK at CzDC dot org

 * CzDC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3
 * as published by the Free Software Foundation.

 * CzDC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with CzDC. If not, see <http://www.gnu.org/licenses/>.
 */

//---------------------------------------------------------------------------
#ifndef IP2CountryH
#define IP2CountryH
//---------------------------------------------------------------------------
#pragma once
//---------------------------------------------------------------------------

class IP2Country {
private:
    uint32_t ui32Size, ui32IPv6Size;
    uint32_t * ui32RangeFrom, * ui32RangeTo;
    uint8_t * ui8RangeCI, * ui8IPv6RangeCI;
    uint8_t * ui128IPv6RangeFrom, * ui128IPv6RangeTo;
public:
    HIMAGELIST hFlagImages;

    uint32_t ui32Count, ui32IPv6Count;

	IP2Country();
	~IP2Country();

    string GetCountryFromIP(const string &sIP);

    uint8_t GetFlagImageIndex(const char* country, bool fullname = false);
    uint8_t GetFlagImageIndexFromIP(const string &sIP);
};
//---------------------------------------------------------------------------
extern IP2Country * g_pIP2Country;
//--------------------------------------------------------------------------- 

#endif
